package com.mx.cneeds.server.device.service.impl;

import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.common.pager.Query;
import com.mx.cneeds.server.dao.ProductSeriesDao;
import com.mx.cneeds.server.device.service.ProductSeriesService;
import com.mx.cneeds.server.entity.ProductSeriesEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


@Service("productSeriesService")
public class ProductSeriesServiceImpl extends ServiceImpl<ProductSeriesDao, ProductSeriesEntity> implements ProductSeriesService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ProductSeriesEntity> page = this.page(
                new Query<ProductSeriesEntity>().getPage(params),
                new QueryWrapper<ProductSeriesEntity>()
        );

        return new PageUtils(page);
    }

}
